# Uses of Interface
org.opensaml.saml.saml2.core.Attribute

Packages that use Attribute
Package
Description
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.
org.opensaml.saml.ext.saml2mdattr
Interfaces for SAML 2 Metadata Extension for Entity Attributes.
org.opensaml.saml.ext.saml2mdattr.impl
Implementation for SAML v2.0 Metadata Extension for Entity Attributes Version 1.0.
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of Attribute in org.opensaml.saml.common.profile.logic

Fields in org.opensaml.saml.common.profile.logic with type parameters of type Attribute
Modifier and Type
Field
Description
`private final Collection<Attribute>`
EntityAttributesPredicate.EntityAttributesMatcher.`attributes`
Population to evaluate for a match.
Methods in org.opensaml.saml.common.profile.logic with parameters of type Attribute
Modifier and Type
Method
Description
`private List<String>`
EntityAttributesPredicate.EntityAttributesMatcher.`getPossibleAttributeValuesAsStrings(Attribute attribute)`
Get all possible strings values for the attribute.
Constructor parameters in org.opensaml.saml.common.profile.logic with type arguments of type Attribute
Modifier
Constructor
Description
``
`EntityAttributesMatcher(Collection<Attribute> attrs)`
Constructor.

## Uses of Attribute in org.opensaml.saml.ext.saml2mdattr

Methods in org.opensaml.saml.ext.saml2mdattr that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
EntityAttributes.`getAttributes()`
Gets the attributes about the entity.

## Uses of Attribute in org.opensaml.saml.ext.saml2mdattr.impl

Methods in org.opensaml.saml.ext.saml2mdattr.impl that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
EntityAttributesImpl.`getAttributes()`
Gets the attributes about the entity.

## Uses of Attribute in org.opensaml.saml.metadata.resolver.filter.impl

Fields in org.opensaml.saml.metadata.resolver.filter.impl with type parameters of type Attribute
Modifier and Type
Field
Description
`private Multimap<Predicate<EntityDescriptor>,Attribute>`
EntityAttributesFilter.`applyMap`
Rules for adding attributes.
`private Predicate<Attribute>`
EntityAttributesFilter.`attributeFilter`
A condition to apply to pre-existing tags to determine their legitimacy.
Methods in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type Attribute
Modifier and Type
Method
Description
`private void`
EntityAttributesFilter.`addEntityAttribute(EntityDescriptor descriptor, EntityAttributes container, Attribute input)`
Get or create `Attribute` based on the input/template object.
Method parameters in org.opensaml.saml.metadata.resolver.filter.impl with type arguments of type Attribute
Modifier and Type
Method
Description
`void`
EntityAttributesFilter.`setAttributeFilter(Predicate<Attribute> condition)`
Set a condition to apply to any pre-existing extension attributes, such that failure causes their removal.
`void`
EntityAttributesFilter.`setRules(Map<Predicate<EntityDescriptor>,Collection<Attribute>> rules)`
Set the mappings from `Predicate` to `Attribute` collection to apply.

## Uses of Attribute in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
AttributeQuery.`getAttributes()`
Gets the Attributes of this query.
`List<Attribute>`
AttributeStatement.`getAttributes()`
Gets the attributes expressed in this statement.

## Uses of Attribute in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Attribute
Modifier and Type
Class
Description
`class`
`AttributeImpl`
Concrete implementation of `Attribute`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type Attribute
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Attribute>`
AttributeQueryImpl.`attributes`
Attribute child elements.
Methods in org.opensaml.saml.saml2.core.impl that return Attribute
Modifier and Type
Method
Description
`Attribute`
AttributeBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Attribute`
AttributeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
AttributeQueryImpl.`getAttributes()`
Gets the Attributes of this query.
`List<Attribute>`
AttributeStatementImpl.`getAttributes()`
Gets the attributes expressed in this statement.

## Uses of Attribute in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption that return Attribute
Modifier and Type
Method
Description
`Attribute`
Decrypter.`decrypt(EncryptedAttribute encryptedAttribute)`
Decrypt the specified EncryptedAttribute.
Methods in org.opensaml.saml.saml2.encryption with parameters of type Attribute
Modifier and Type
Method
Description
`EncryptedAttribute`
Encrypter.`encrypt(Attribute attribute)`
Encrypt the specified Attribute.

## Uses of Attribute in org.opensaml.saml.saml2.metadata

Subinterfaces of Attribute in org.opensaml.saml.saml2.metadata
Modifier and Type
Interface
Description
`interface`
`RequestedAttribute`
SAML 2.0 Metadata RequestedAttribute.
Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
AttributeAuthorityDescriptor.`getAttributes()`
Gets the list of attribute available from this authority.
`List<Attribute>`
IDPSSODescriptor.`getAttributes()`
Gets the list of attributes supported by this IdP.

## Uses of Attribute in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement Attribute
Modifier and Type
Class
Description
`class`
`RequestedAttributeImpl`
Concrete implementation of `RequestedAttribute`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type Attribute
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Attribute>`
AttributeAuthorityDescriptorImpl.`attributes`
Supported attribute.
`private final XMLObjectChildrenList<Attribute>`
IDPSSODescriptorImpl.`attributes`
Attributes accepted by this entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
AttributeAuthorityDescriptorImpl.`getAttributes()`
Gets the list of attribute available from this authority.
`List<Attribute>`
IDPSSODescriptorImpl.`getAttributes()`
Gets the list of attributes supported by this IdP.

## Uses of Attribute in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl that return Attribute
Modifier and Type
Method
Description
`private Attribute`
DecryptAttributes.`processEncryptedAttribute(ProfileRequestContext profileRequestContext, EncryptedAttribute encAttr)`
Decrypt an `EncryptedAttribute` and return the result.

## Uses of Attribute in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return Attribute
Modifier and Type
Method
Description
`static Attribute`
SAML2ActionTestingSupport.`buildAttribute(String name, String format, Collection<String> values)`
Builds an attribute and values.